<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_923b46b96d9db24c4faa3502" . "7fc77b71" => base64_decode("Q29udHJvbC" . "BjYW4ndCBp" . "bnB1dCB0aG" . "UgZGF0YQ=="), "_4be538b" . "2f65f8d8" . "f8dde8a9" . "14f61007" . "6" => base64_decode("Vmll" . "dw=="), "ri" . "gh" . "ts" => base64_decode("cmlna" . "HRz"), "_6f65d5feee27b3" . "20b6f7785c82762" . "a72" => base64_decode("dXNlcnNfbGlzdC52aXNpYm" . "xl"));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["righ" . "ts"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_4be538b2f65f8d8f8dd" . "e8a914f610076"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_923b46b96d9d" . "b24c4faa35027" . "fc77b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["righ" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_6f65d5feee27b320b6f7785c827" . "62a72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4be538b" . "2f65f8d8" . "f8dde8a9" . "14f61007" . "6"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["rig" . "hts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}